Data Structures | Typedefs | Enumerations

# transport_type.h File Reference

Base types related to transport. More...

`#include "core/enum_type.hpp"`

Go to the source code of this file.

## Data Structures
struct | EnumPropsT< TransportType >
| Helper information for extract tool. More...
## Typedefs
typedef uint16 | UnitID
| Type for the company global vehicle unit number.
## Enumerations
enum | TransportType { TRANSPORT_BEGIN = 0, TRANSPORT_RAIL = TRANSPORT_BEGIN, TRANSPORT_ROAD, TRANSPORT_WATER, TRANSPORT_AIR, TRANSPORT_END, INVALID_TRANSPORT = 0xff }
| Available types of transport. More...

## Detailed Description

Base types related to transport.

Definition in file transport_type.h.

## Typedef Documentation

typedef uint16 UnitID

Type for the company global vehicle unit number.

Definition at line 18 of file transport_type.h.

## Enumeration Type Documentation

enum TransportType

Available types of transport.

Enumerator:

  TRANSPORT_BEGIN | Begin of the iterator.
  TRANSPORT_RAIL | Transport by train.
  TRANSPORT_ROAD | Transport by road vehicle.
  TRANSPORT_WATER | Transport over water.
  TRANSPORT_AIR | Transport through air.
  TRANSPORT_END | End of iterations.
  INVALID_TRANSPORT | Sentinel for invalid transport types.

Definition at line 21 of file transport_type.h.